<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */



/*
 * 
 * id	int(11)	Não 	 	 	 
  desc_plano	tinytext	Não
  qtd_login	int(11)	Não
  valor_cobrado	decimal(10,2)	Não
  data_cad	datetime	Não
  status	tinyint(4)
 */
?>
<div>
    <h4>Salvar Planos</h4>
    <form id="form-add-plano" >
        
        <input type="hidden" name="id_plano" id="id_plano" value="0"/>
        
        <div class="form-group">
            <label>Nome Plano</label>
            <input name="desc_plano" id="desc_plano" class="form-control" required ng-model="desc_plano" ng-keyup="validaPlano()"/>
        </div>
        <div class="form-group">
            <label>Qtd Logins:</label>
            <input type="number" name="qtd_login" id="qtd_login" class="form-control" ng-model="qtd_login" required />

        </div>
        <div class="form-group">
            <label>Valor Cobrado:</label>
            <input type="text" pattern="[0-9]*" name="valor_cobrado" id="valor_cobrado" class="form-control" ng-model="valor_cobrado" required/>          
        </div>        
        <div class="form-group">
            <input type="submit" value="Salvar" class="btn btn-default"  />
        </div>
    </form>
</div>
<script>
    $(document).ready(function () { 
        $('#form-add-plano').on('submit', this, function () {
            
            var id_plano = $('#id_plano').val();
            var desc_plano = $('#desc_plano').val();
            var qtd_login = $('#qtd_login').val();
            var valor_cobrado = $('#valor_cobrado').val();

            $.ajax({
                type: "POST",
                url: '<?= base_url('index.php/planos/salvar'); ?>',
                data: {id_plano: id_plano,desc_plano: desc_plano, qtd_login: qtd_login, valor_cobrado: valor_cobrado},
                dataType: 'json'
            })
                    .done(function (retorno) {
                        
                        if(retorno.sucesso){
                            
                            alert(retorno.sucesso); 
                            window.location.reload();
                        }
                        
                        if(retorno.erro){
                            alert(retorno.erro);                            
                        }
                    });
                    return false;
        });
    });
</script>
